<?php
/**
 * Theme Customizer for admin
 * @package pxt-business
 */

/**
 * Add post Message support for site title and description for the Theme Customizer.
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function pxt_business_CustomizeRegister($wp_customize) {
    $pxt_business_url = get_template_directory_uri();
    $pxt_business_premiumImg = "{$pxt_business_url}/images/pxt-business.png";
    // Theme Options
    $wp_customize->add_panel('panel_id', array(
        'priority' => 121,
        'capability' => 'edit_theme_options',
        'title' => __('Theme Design Options', 'pxt-business'),
        'description' => __('Theme Design Options', 'pxt-business'),
    ));
    $wp_customize->add_section(
            'pxt_business_new', array(
        'title' => __('Help & Contact', 'pxt-business'),
        'priority' => 0,
        'description' => 
            sprintf(__("<p>
                            <strong>Theme issues?</strong><br>
                                If you are having theme related problems then please contact us through our <a href=\"http://www.paradoxthemes.com/contact-us/\" target=\"_blank\">contact form</a>, which can be found at <a href=\"http://www.paradoxthemes.com/contact-us/\" target=\"_blank\">http://www.paradoxthemes.com/contact-us/</a>
                            </p>
                            <p>
                                <strong>Plugin or WordPress issues?</strong><br>
                                If you are experiencing issues with plugins, please contact the plugin author. If you are experiencing issues with WordPress functionality then please visit the <a href=\"https://wordpress.org/support/\" target=\"_blank\">WordPress Support Forum</a>.
                            </p>
                            <p>
                                <br>
                                <a href=\"http://www.paradoxthemes.com/free/pxt-business\" target=\"_blank\">
                                <img src=\"%s/images/pxt-business.png\">
                                </a>
                            </p>", 'pxt-business'
                ), $pxt_business_url)
                    
        
        ));
    $wp_customize->add_setting('pxt_business_options[info]', array(
        'sanitize_callback' => 'pxt_business_NoSanitize',
        'type' => 'info_control',
        'capability' => 'edit_theme_options',
            )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'pro_section', array(
        'section' => 'pxt_business_new',
        'settings' => 'pxt_business_options[info]',
        'type' => 'textarea',
        'priority' => 109
            ))
    );

   

    function pxt_business_CustomizerStylesheet() {
        wp_enqueue_style('pxt-business-customizer-css', get_template_directory_uri() . '/css/css-customizer.css', NULL, NULL, 'all');
    }

    $wp_customize->add_section('pxtBusinessStylingSettings', array(
        'title' => __('All Blog Posts Settings', 'pxt-business'),
        'priority' => 122,
        'capability' => 'edit_theme_options',
    ));


    $wp_customize->add_section('pxt_business_lite_general_layout', array(
        'title' => __('General Layout', 'pxt-business'),
        'priority' => 1,
        'capability' => 'edit_theme_options',
        'panel' => 'panel_id',
    ));
    $wp_customize->add_setting('pxtBusinessLayout', array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_key',
        'default' => 'cslayout',
    ));
    $wp_customize->add_control('pxtBusinessLayout', array(
        'settings' => 'pxtBusinessLayout',
        'label' => __('Sidebar Position', 'pxt-business'),
        'section' => 'pxt_business_lite_general_layoutno',
        'type' => 'radio',
        'choices' => array(
            'cslayout' => __('Right Sidebar', 'pxt-business'),
            'sclayout' => __('Left Sidebar', 'pxt-business'),
        ),
    ));
    //Color Scheme
    $wp_customize->add_setting('top_header_background_color', array(
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport' => 'postMessage',
    ));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'top_header_background_color', array(
        'label' => __('Header Background Color', 'pxt-business'),
        'description' => __('Applied to header background.', 'pxt-business'),
        'section' => 'colors',
        'settings' => 'top_header_background_color',
    )));
    $wp_customize->add_setting('pxtBusinessColorScheme', array(
        'default' => '#467cbf',
        'sanitize_callback' => 'sanitize_hex_color',
    ));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'pxtBusinessColorScheme', array(
        'label' => __('Primary Color Scheme', 'pxt-business'),
        'section' => 'colors',
        'settings' => 'pxtBusinessColorScheme',
    )));
    $wp_customize->add_setting('pxtBusinessColorScheme2', array(
        'default' => '#1b1b1b',
        'sanitize_callback' => 'sanitize_hex_color',
    ));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'pxtBusinessColorScheme2', array(
        'label' => __('Secondary Color Scheme', 'pxt-business'),
        'section' => 'colors',
        'settings' => 'pxtBusinessColorScheme2',
    )));

    //Full posts
    $wp_customize->add_setting('pxt_business_lite_full_posts', array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_key',
        'default' => '0',
    ));
    $wp_customize->add_control('pxt_business_lite_full_posts', array(
        'settings' => 'pxt_business_lite_full_posts',
        'label' => __('Posts on Homepage', 'pxt-business'),
        'section' => 'pxtBusinessStylingSettings',
        'type' => 'radio',
        'choices' => array(
            '0' => __('Excerpts', 'pxt-business'),
            '1' => __('Full Posts', 'pxt-business'),
        ),
    ));

    /* Colors */
    $wp_customize->add_section('colors', array(
        'title' => __('Colors', 'pxt-business'),
        'priority' => 1,
        'capability' => 'edit_theme_options',
    ));

    /* Header */
    $wp_customize->add_section('pxt_business_lite_header_settings', array(
        'title' => __('Header', 'pxt-business'),
        'priority' => 122,
        'capability' => 'edit_theme_options',
        'panel' => 'panel_id',
    ));
    /* pagination */
    $wp_customize->add_section('pxt_business_lite_pagination_settings', array(
        'title' => __('Pagination Type', 'pxt-business'),
        'priority' => 122,
        'capability' => 'edit_theme_options',
        'panel' => 'panel_id',
    ));
    $wp_customize->add_setting('pxtBusinessPaginationType', array(
        'default' => '1',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_key',
    ));
    $wp_customize->add_control(
        new WP_Customize_Control(
            $wp_customize, 'pxtBusinessPaginationType', array(
                'label' => __('Pagination Type', 'pxt-business'),
                'section' => 'pxt_business_lite_general_layoutno',
                'settings' => 'pxtBusinessPaginationType',
                'type' => 'radio',
                'choices' => array(
                    '0' => __('Next/Previous', 'pxt-business'),
                    '1' => __('Numbered', 'pxt-business'),
                ),
                'transport' => 'refresh',
            )
        )
    );

    /* Footer */
    $wp_customize->add_section('pxt_business_lite_footer_settings', array(
        'title' => __('Footer', 'pxt-business'),
        'priority' => 122,
        'capability' => 'edit_theme_options',
        'panel' => 'panel_id',
    ));

    $wp_customize->add_setting('pxt_business_lite_copyright_text', array(
        'default' => __('Copyright 2017 - Powered By WordPress', 'pxt-business'),
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'wp_kses',
    ));
    $wp_customize->add_control('pxt_business_lite_copyright_text', array(
        'label' => __('Copyright Text', 'pxt-business'),
        'description' => __('You can write your copyright own text or leave it blank.', 'pxt-business'),
        'section' => 'pxt_business_lite_footer_settingsno',
        'settings' => 'pxt_business_lite_copyright_text',
        'type' => 'textarea',
    ));
    // Text Input    
    $wp_customize->add_section('pxt_business_single_settings', array(
        'title' => __('Single Post Settings', 'pxt-business'),
        'priority' => 100,
        'capability' => 'edit_theme_options',
        'panel' => 'panel_id',
    ));
    //Breadcrumb
    $wp_customize->add_setting('pxt_business_lite_single_breadcrumb_section', array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_key',
        'transport' => 'refresh',
        'default' => '1',
    ));
    $wp_customize->add_control('pxt_business_lite_single_breadcrumb_section', array(
        'label' => __('Breadcrumb Section', 'pxt-business'),
        'section' => 'pxt_business_single_settingsno',
        'settings' => 'pxt_business_lite_single_breadcrumb_section',
        'type' => 'radio',
        'choices' => array(
            '0' => __('OFF', 'pxt-business'),
            '1' => __('ON', 'pxt-business'),
        ),
    ));
    //Tags
    $wp_customize->add_setting('pxt_business_lite_single_tags_section', array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_key',
        'transport' => 'refresh',
        'default' => '1',
    ));
    $wp_customize->add_control('pxt_business_lite_single_tags_section', array(
        'label' => __('Tags Section', 'pxt-business'),
        'section' => 'pxt_business_single_settingsno',
        'settings' => 'pxt_business_lite_single_tags_section',
        'type' => 'radio',
        'choices' => array(
            '0' => __('OFF', 'pxt-business'),
            '1' => __('ON', 'pxt-business'),
        ),
    ));
    //Related Posts
    $wp_customize->add_setting('pxt_business_lite_relatedposts_section', array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_key',
        'transport' => 'refresh',
        'default' => '1',
    ));
    $wp_customize->add_control('pxt_business_lite_relatedposts_section', array(
        'label' => __('Related Posts Section', 'pxt-business'),
        'section' => 'pxt_business_single_settingsno',
        'settings' => 'pxt_business_lite_relatedposts_section',
        'type' => 'radio',
        'choices' => array(
            '0' => __('OFF', 'pxt-business'),
            '1' => __('ON', 'pxt-business'),
        ),
    ));
    //Author Box
    $wp_customize->add_setting('pxt_business_lite_authorbox_section', array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_key',
        'transport' => 'refresh',
        'default' => '1',
    ));
    $wp_customize->add_control('pxt_business_lite_authorbox_section', array(
        'label' => __('Author box Section', 'pxt-business'),
        'section' => 'pxt_business_single_settingsno',
        'settings' => 'pxt_business_lite_authorbox_section',
        'type' => 'radio',
        'choices' => array(
            '0' => __('OFF', 'pxt-business'),
            '1' => __('ON', 'pxt-business'),
        ),
    ));
    $wp_customize->get_setting('blogname')->transport = 'postMessage';
    $wp_customize->get_setting('blogdescription')->transport = 'postMessage';
    $wp_customize->get_setting('header_textcolor')->transport = 'postMessage';
}
add_action('customize_register', 'pxt_business_CustomizeRegister');

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function pxt_business_CustomizePreviewJs() {
    wp_enqueue_script('pxt-business-customizer', get_template_directory_uri() . '/js/customizer.js', array('customize-preview'), '20151215', true);
}
add_action('customize_preview_init', 'pxt_business_CustomizePreviewJs');
