<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of pxt_business_socialMediaIcons
 *
 * @author Parag chaure <parag.radical@outlook.com>
 */
class pxt_business_socialMediaIcons extends WP_Widget {

    protected $pxt_business_defaults = array(
        'title' => '',
        'new_window' => 0,
        'facebook' => '',
        'flickr' => '',
        'gplus' => '',
        'pinterest' => '',
        'instagram' => '',
        'dribbble' => '',
        'linkedin' => '',
        'skype' => '',
        'email' => '',
        'rss' => '',
        'stumbleupon' => '',
        'twitter' => '',
        'youtube' => '',
        'tumblr' => '',
    );
    private $pxt_business_mediaProfiles = array();

    /**
     * Register widget with WordPress.
     */
    public function __construct() {

        $this->pxt_business_mediaProfiles = array(
            'facebook' => array(
                'label' => esc_html__('Facebook URL', 'pxt-business'),
                'html' => '<li class="media-facebook"><a title="'.esc_attr__('Facebook', 'pxt-business').'" href="%s" %s><i class="fa fa-facebook"></i></a></li>',
            ),
            'flickr' => array(
                'label' => esc_html__('Flickr URL', 'pxt-business'),
                'html' => '<li class="media-flickr"><a title="'.esc_attr__('Flickr', 'pxt-business').'" href="%s" %s><i class="fa fa-flickr"></i></a></li>',
            ),
            'gplus' => array(
                'label' => esc_html__('Google Plus URL', 'pxt-business'),
                'html' => '<li class="media-gplus"><a title="'.esc_attr__('Google Plus', 'pxt-business').'" href="%s" %s><i class="fa fa-google-plus"></i></a></li>',
            ),
            'pinterest' => array(
                'label' => esc_html__('Pinterest URL', 'pxt-business'),
                'html' => '<li class="media-pinterest"><a title="'.esc_attr__('Pinterest', 'pxt-business').'" href="%s" %s><i class="fa fa-pinterest-square"></i></a></li>',
            ),
            'instagram' => array(
                'label' => esc_html__('Instagram URL', 'pxt-business'),
                'html' => '<li class="media-instagram"><a title="'.esc_attr__('Instagram', 'pxt-business').'" href="%s" %s><i class="fa fa-instagram"></i></a></li>',
            ),
            'dribbble' => array(
                'label' => esc_html__('Dribbble URL', 'pxt-business'),
                'html' => '<li class="media-dribbble"><a title="'.esc_attr__('Instagram', 'pxt-business').'" href="%s" %s><i class="fa fa-dribbble"></i></a></li>',
            ),
            'linkedin' => array(
                'label' => esc_html__('Linkedin URL', 'pxt-business'),
                'html' => '<li class="media-linkedin"><a title="'.esc_attr__('Linkedin', 'pxt-business').'" href="%s" %s><i class="fa fa-linkedin"></i></a></li>',
            ),
            'skype' => array(
                'label' => esc_html__('Skype URL', 'pxt-business'),
                'html' => '<li class="media-skype"><a title="'.esc_attr__('Skype', 'pxt-business').'" href="%s" %s><i class="fa fa-skype"></i></a></li>',
            ),
            'email' => array(
                'label' => esc_html__('Email URL', 'pxt-business'),
                'html' => '<li class="media-email"><a title="'.esc_attr__('Email', 'pxt-business').'" href="%s" %s><i class="fa fa-envelope-o"></i></a></li>',
            ),
            'rss' => array(
                'label' => esc_html__('RSS URL', 'pxt-business'),
                'html' => '<li class="media-rss"><a title="'.esc_attr__('RSS', 'pxt-business').'" href="%s" %s><i class="fa fa-rss"></i></a></li>',
            ),
            'stumbleupon' => array(
                'label' => esc_html__('StumbleUpon URL', 'pxt-business'),
                'html' => '<li class="media-stumbleupon"><a title="'.esc_attr__('StumbleUpon', 'pxt-business').'" href="%s" %s><i class="fa fa-stumbleupon"></i></a></li>',
            ),
            'twitter' => array(
                'label' => esc_html__('Twitter URL', 'pxt-business'),
                'html' => '<li class="media-twitter"><a title="'.esc_attr__('Twitter', 'pxt-business').'" href="%s" %s><i class="fa fa-twitter"></i></a></li>',
            ),
            'youtube' => array(
                'label' => esc_html__('YouTube URL', 'pxt-business'),
                'html' => '<li class="media-youtube"><a title="'.esc_attr__('YouTube', 'pxt-business').'" href="%s" %s><i class="fa fa-youtube"></i></a></li>',
            ),
            'tumblr' => array(
                'label' => esc_html__('Tumblr URL', 'pxt-business'),
                'html' => '<li class="media-tumblr"><a title="'.esc_attr__('Tumblr', 'pxt-business').'" href="%s" %s><i class="fa fa-tumblr"></i></a></li>',
            ),
        );
        parent::__construct(
                'social_media_icons', // Base ID
                esc_html__('Social Media Icons', 'pxt-business'), // Name
                array('description' => esc_html__('Show the social media profiles', 'pxt-business'),) // Args
        );
    }

    /**
     * Back-end widget form.
     * @see WP_Widget::form()
     * @param array $pxt_business_instance Previously saved values from database.
     */
    public function form($pxt_business_instance) {
        $pxt_business_instance = wp_parse_args((array) $pxt_business_instance, $this->pxt_business_defaults);
        // echo 'asdfa';
        // print_r($pxt_business_instance['title']);
        $title = !empty($pxt_business_instance['title']) ? $pxt_business_instance['title'] : esc_html_e('Follow Us On', 'pxt-business');
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html__('Title:', 'pxt-business'); ?></label> 
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
        </p>        
        <p><label><?php echo esc_html_e('Open links in new window?', 'pxt-business'); ?> <input id="<?php echo esc_attr($this->get_field_id('new_window')); ?>" type="checkbox" name="<?php echo esc_attr($this->get_field_name('new_window')); ?>" value="1" <?php esc_attr(checked(1, !empty($pxt_business_instance['new_window']))); ?>/></label></p>
        <?php
        foreach ($this->pxt_business_mediaProfiles as $key => $media) {
            ?>
            <p><label><?php echo esc_html($media['label']); ?><input id="<?php echo esc_attr($this->get_field_id($key)); ?>" type="text" name="<?php echo esc_attr($this->get_field_name($key)); ?>" class="widefat" value="<?php echo esc_url($pxt_business_instance[$key]); ?>" /></label></p>
            <?php
        }
    }
    
    /**
     * Sanitize widget form values as they are saved.
     * @see WP_Widget::update()
     * @param array $new_instance Values just sent to be saved.
     * @param array $old_instance Previously saved values from database.
     *
     * @return array Updated safe values to be saved.
     */
    public function update($newInstance, $oldInstance) {
        foreach ($newInstance as $key => $value) {
            if (array_key_exists($key, (array) $this->pxt_business_mediaProfiles)) {
                $newInstance[$key] = esc_url_raw($newInstance[$key]); // Sanitize Profile URLs
            }
        }
        return $newInstance;
    }

    /**
     * Front-end display of widget.
     * @see WP_Widget::widget()
     * @param array $pxt_business_args     Widget arguments.
     * @param array $pxt_business_instance Saved values from database.
     */
    public function widget($pxt_business_args, $pxt_business_instance) {
        echo ($pxt_business_args['before_widget']);
        if (!empty($pxt_business_instance['title'])) {
            echo $pxt_business_args['before_title'] . (apply_filters('widget_title', $pxt_business_instance['title'])) . ($pxt_business_args['after_title']);
        }else{
            echo $pxt_business_args['before_title'] . (apply_filters('widget_title', esc_html__( 'Social Media Icons', 'pxt-business'))) . ($pxt_business_args['after_title']);
        }
        $pxt_business_target = '';
        if (!empty($pxt_business_instance['new_window'])) {
            $pxt_business_target = 'target="_blank"';
        }
        ?>
        <ul class="social-media"> 
            <?php
            foreach ($this->pxt_business_mediaProfiles as $key => $value) {
                if (!empty($pxt_business_instance[$key]) && array_key_exists($key, $pxt_business_instance)) {
                    echo (sprintf($value['html'], $pxt_business_instance[$key], $pxt_business_target));
                }
            }
            ?>
        </ul>
        <?php
        echo $pxt_business_args['after_widget'];
    }
}

function pxt_business_registerWidget(){
    register_widget('pxt_business_socialMediaIcons');
}

add_action('widgets_init', 'pxt_business_registerWidget');

